Bug 111402 - SVG preserveAspectRatio=none is not honored.
: SVG preserveAspectRatio=none is not honored.
Status: RESOLVED FIXED
: WebKit
SVG
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2013-03-04 20:39 PST by
Modified: 2014-02-05 16:17 PST (History)


Attachments
Testcase (545 bytes, text/html)
2013-03-04 20:39 PST, Philip Rogers
no flags Details
Patch (6.16 KB, patch)
2014-02-03 19:12 PST, Sergio Correia (qrwteyrutiyoup)
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2013-03-04 20:39:04 PST
Created an attachment (id=191390) [details]
Testcase

We do not correctly handle preserveAspectRatio=none. See the attached testcase for an example.

Relevant spec section: http://www.w3.org/TR/SVG/single-page.html#coords-PreserveAspectRatioAttribute

Downstream bug: crbug.com/161982
------- Comment #1 From 2013-03-08 02:34:11 PST -------
Do we already now, why this worked in previous versions?
------- Comment #2 From 2013-03-12 03:26:55 PST -------
Thank you for your support so far. How long will it approximately take to solve this issue?
------- Comment #3 From 2013-03-14 11:20:38 PST -------
Matthias, I am easily reachable (pdr@google.com, pdr on irc/freenode/#webkit) and respond quickly. There's really no reason to email my personal addresses :P

(In reply to comment #2)
> Thank you for your support so far. How long will it approximately take to solve this issue?

We generally don't comment on this sort of question because it's difficult to honor. This bug is correctly triaged as P2, meaning P1 and P0 bugs are higher priority. Fixing this is important to both of us, but there have been higher-priority bugs and features this week.
------- Comment #5 From 2013-05-03 04:54:29 PST -------
+1 for getting this fixed soon...
------- Comment #6 From 2014-01-18 15:02:51 PST -------
another +1, this is very common choice 'none' for preserveAspectRatio and used extensively in many apps
------- Comment #7 From 2014-02-01 13:53:08 PST -------
Had heard reports this was fixed in Safari 7, but it's not, it's still broken.
------- Comment #8 From 2014-02-03 14:58:13 PST -------
This may be the patch to merge from Blink: https://chromiumcodereview.appspot.com/14964004
------- Comment #9 From 2014-02-03 19:12:50 PST -------
Created an attachment (id=223062) [details]
Patch

Implement preserveAspectRatio=none for SVG images. Blink merge: https://chromiumcodereview.appspot.com/14964004
------- Comment #10 From 2014-02-03 19:33:43 PST -------
(From update of attachment 223062 [details])
Looks good to me! Thank you for merging this.

I've R+'ed this but could you please wait 24hrs to give Simon/Timothy/[other WebKit image experts] a chance to look at this?
------- Comment #11 From 2014-02-04 04:39:54 PST -------
(In reply to comment #10)
> (From update of attachment 223062 [details] [details])
> Looks good to me! Thank you for merging this.
> 
> I've R+'ed this but could you please wait 24hrs to give Simon/Timothy/[other WebKit image experts] a chance to look at this?

Sure, I will wait for their feedback. Thanks for the review!
------- Comment #12 From 2014-02-04 23:01:50 PST -------
(From update of attachment 223062 [details])
LGTM
------- Comment #13 From 2014-02-05 09:48:20 PST -------
(From update of attachment 223062 [details])
Clearing flags on attachment: 223062

Committed r163453: <http://trac.webkit.org/changeset/163453>
------- Comment #14 From 2014-02-05 09:48:24 PST -------
All reviewed patches have been landed.  Closing bug.
------- Comment #15 From 2014-02-05 16:17:57 PST -------
My sincere gratitude to pdr and all for fixing this in such a timely manner. I look forward to testing it out in Safari 7